Subject: Re: pthread: thread switching bug?
From: Robert Collins <[email-masked]>
To: Nemeth Marton <[email-masked]>
Cc: [email-masked]
Date: 01 Nov 2001 10:43:52 +1100

On Thu, 2001-10-25 at 07:04, Nemeth Marton wrote:
t.
> > 
> > Can you see whether you can reproduce the behaviour when writing to a
> > file, not to stdout? (If you are not using fprintf now, start by trying
> > with fprintf (stdout,...)). Let me know via the list whether you can
> > make this happen with a standard file/console with fprintf and we'll
> > take it from there,
> > 
> > Rob
> 
> I've checked the fallowing:
> 
>                     | without redirection | with shell redirection to
> file
>                     |                     | ">testfile.txt"
> --------------------|---------------------|---------------------------------
> printf(...)         | bug exist           | bug does not exist
> --------------------|---------------------|---------------------------------
> fprintf(stdout, ...)| bug exist           | bug does not exist
> --------------------|---------------------|---------------------------------
> 
>         NMarci
> 
> P.S. It seems that I couldn't post messages to [email-masked], that's
> why I do a CC also.

If you are behind a blocked mail server, you need to be subscribed to
post messages. That is documented in the bounce message AFAIK.

Thanks for the testing, you've shown that there is non thread safe code,
probably in the fhandler_consoler in cygwin, or possibly in the MS
Windows console code. Right now we don't know which.

This will get fixed... eventually :}. If you'd like to help fix it,
we're always happy to help a new developer get started.

Rob

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/